/*
 * DSBDirect
 * Copyright (C) 2019 Fynn Godau
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * This software is not affiliated with heinekingmedia GmbH, the
 * developer of the DSB platform.
 */

allprojects {
    repositories {
        jcenter()
        google()
        maven { url 'https://jitpack.io' }
    }
}

buildscript {
    repositories {
        jcenter()
        google()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:3.5.1'
    }
}

apply plugin: 'com.android.application'

android {
    compileSdkVersion 28
    defaultConfig {
        applicationId "godau.fynn.dsbdirect"
        minSdkVersion 15
        targetSdkVersion 28
        versionCode 26
        versionName "2.5.3"
        vectorDrawables.useSupportLibrary = true
    }
    buildTypes {
        debug {
            versionNameSuffix " debug"
        }
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    flavorDimensions "store"
    productFlavors {
        fdroid {
            dimension "store"
        }
        notabug {
            versionNameSuffix " notabug"
            dimension "store"
        }
        play {
            versionNameSuffix " play"
            dimension "store"
        }
    }


}

dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation 'com.android.support:appcompat-v7:28.0.0'
    implementation 'com.android.support:design:28.0.0'
    implementation 'com.wefika:horizontal-picker:1.1.0'
    implementation 'org.jsoup:jsoup:1.12.1'
    implementation 'com.github.mfornos:humanize-slim:1.2.2'
    implementation 'com.android.support:support-v4:28.0.0'
    implementation 'com.android.support:support-vector-drawable:28.0.0'
    implementation 'com.android.support:cardview-v7:28.0.0'
    implementation 'com.github.MikeOrtiz:TouchImageView:1.4.0'
    implementation 'org.sufficientlysecure:html-textview:3.6'
    implementation 'com.github.DASAR:ShiftColorPicker:v0.5'
}
